searchNodes=[{"doc":"Parse RSS quickly using a Rust NIF.","ref":"FastRSS.html","title":"FastRSS","type":"module"},{"doc":"Parse a RSS string into a map.","ref":"FastRSS.html#parse/1","title":"FastRSS.parse/1","type":"function"},{"doc":"&lt;img alt=&quot;FastRSS&quot; src=&quot;https://avencera.github.io/fast_rss/logo.svg&quot;&gt;Parse RSS feeds very quickly &lt;a href=&quot;https://hex.pm/packages/fast_rss&quot;&gt;&lt;img alt=&quot;Hex.pm&quot; src=&quot;https://img.shields.io/hexpm/l/fast_rss&quot;&gt;&lt;/a&gt; &lt;a href=&quot;https://hex.pm/packages/fast_rss&quot;&gt;&lt;img alt=&quot;Hex.pm&quot; src=&quot;https://img.shields.io/hexpm/v/fast_rss&quot;&gt;&lt;/a&gt; &lt;a href=&quot;https://hex.pm/packages/fast_rss&quot;&gt;&lt;img alt=&quot;Hex.pm&quot; src=&quot;https://img.shields.io/hexpm/dt/fast_rss&quot;&gt;&lt;/a&gt; &lt;a href=&quot;https://hexdocs.pm/fast_rss&quot;&gt;&lt;img alt=&quot;HexDocs.pm&quot; src=&quot;https://img.shields.io/badge/hex-docs-purple.svg&quot;&gt;&lt;/a&gt; &lt;a href=&quot;#intro&quot;&gt;Intro&lt;/a&gt; | &lt;a href=&quot;#compatibility&quot;&gt;Compatibility&lt;/a&gt; | &lt;a href=&quot;#installation&quot;&gt;Installation&lt;/a&gt; | &lt;a href=&quot;#usage&quot;&gt;Usage&lt;/a&gt; | &lt;a href=&quot;#benchmark&quot;&gt;Benchmarks&lt;/a&gt; | &lt;a href=&quot;#deploying&quot;&gt;Deploying&lt;/a&gt; | &lt;a href=&quot;LICENSE.md&quot;&gt;License&lt;/a&gt;","ref":"readme.html","title":"README","type":"extras"},{"doc":"Parse RSS feeds very quicklyThis is rust NIF built using rustlerUses the RSS rust crate to do the actual RSS parsingSpeedCurrently this is already much faster than most of the pure elixir/erlang packages out there. In benchmarks there are speed improvements anywhere between 6.12x - 50.09x over the next fastest package (feeder_ex) that was tested.Compared to the slowest elixir options tested (feed_raptor, elixir_feed_parser), FastRSS was sometimes 259.91x faster and used 5,412,308.17x less memory (0.00156 MB vs 8423.70 MB).See full benchmarks below:","ref":"readme.html#intro","title":"README - Intro","type":"extras"},{"doc":"FastRSS requires a minimum combination of Elixir 1.6.0 and Erlang/OTP 20.0, and is tested with a maximum combination of Elixir 1.11.1 and Erlang/OTP 22.0.","ref":"readme.html#compatibility","title":"README - Compatibility","type":"extras"},{"doc":"This package is available on hex.It can be installed by adding fast_rss to your list of dependencies in mix.exs:def deps do [ {:fast_rss, &quot;~&gt; 0.3.4&quot;} ] endYou also need the rust compiler installed: https://www.rust-lang.org/tools/installcurl --proto '=https' --tlsv1.2 -sSf https://sh.rustup.rs | sh","ref":"readme.html#installation","title":"README - Installation","type":"extras"},{"doc":"There is only one function it takes an RSS string and outputs an {:ok, map()} with string keys.iex(1)&gt; {:ok, map_of_rss} = FastRSS.parse(&quot;...rss_feed_string...&quot;) iex(2)&gt; Map.keys(map_of_rss) [&quot;categories&quot;, &quot;cloud&quot;, &quot;copyright&quot;, &quot;description&quot;, &quot;docs&quot;, &quot;dublin_core_ext&quot;, &quot;extensions&quot;, &quot;generator&quot;, &quot;image&quot;, &quot;items&quot;, &quot;itunes_ext&quot;, &quot;language&quot;, &quot;last_build_date&quot;, &quot;link&quot;, &quot;managing_editor&quot;, &quot;namespaces&quot;, &quot;pub_date&quot;, &quot;rating&quot;, &quot;skip_days&quot;, &quot;skip_hours&quot;, &quot;syndication_ext&quot;, &quot;text_input&quot;, &quot;title&quot;, &quot;ttl&quot;, &quot;webmaster&quot;]The docs can be found at https://hexdocs.pm/fast_rss.Supported FeedsReading from the following RSS versions is supported:RSS 0.90RSS 0.91RSS 0.92RSS 1.0RSS 2.0iTunesDublin Core","ref":"readme.html#usage","title":"README - Usage","type":"extras"},{"doc":"HTML: https://avencera.github.io/fast_rss/Benchmark run from 2020-02-22 05:23:47.524699Z UTCSystemBenchmark suite executing on the following system: &lt;tr&gt; &lt;th style=&quot;width: 1%; white-space: nowrap&quot;&gt;Operating System&lt;/th&gt; &lt;td&gt;macOS&lt;/td&gt; &lt;/tr&gt;&lt;tr&gt; &lt;th style=&quot;white-space: nowrap&quot;&gt;CPU Information&lt;/th&gt; &lt;td style=&quot;white-space: nowrap&quot;&gt;Intel(R) Core(TM) i9-9880H CPU @ 2.30GHz&lt;/td&gt; &lt;/tr&gt;&lt;tr&gt; &lt;th style=&quot;white-space: nowrap&quot;&gt;Number of Available Cores&lt;/th&gt; &lt;td style=&quot;white-space: nowrap&quot;&gt;16&lt;/td&gt; &lt;/tr&gt;&lt;tr&gt; &lt;th style=&quot;white-space: nowrap&quot;&gt;Available Memory&lt;/th&gt; &lt;td style=&quot;white-space: nowrap&quot;&gt;32 GB&lt;/td&gt; &lt;/tr&gt;&lt;tr&gt; &lt;th style=&quot;white-space: nowrap&quot;&gt;Elixir Version&lt;/th&gt; &lt;td style=&quot;white-space: nowrap&quot;&gt;1.10.1&lt;/td&gt; &lt;/tr&gt;&lt;tr&gt; &lt;th style=&quot;white-space: nowrap&quot;&gt;Erlang Version&lt;/th&gt; &lt;td style=&quot;white-space: nowrap&quot;&gt;22.2.6&lt;/td&gt; &lt;/tr&gt;ConfigurationBenchmark suite executing with the following configuration: &lt;tr&gt; &lt;th style=&quot;width: 1%&quot;&gt;:time&lt;/th&gt; &lt;td style=&quot;white-space: nowrap&quot;&gt;30 s&lt;/td&gt; &lt;/tr&gt;&lt;tr&gt; &lt;th&gt;:parallel&lt;/th&gt; &lt;td style=&quot;white-space: nowrap&quot;&gt;1&lt;/td&gt; &lt;/tr&gt;&lt;tr&gt; &lt;th&gt;:warmup&lt;/th&gt; &lt;td style=&quot;white-space: nowrap&quot;&gt;5 s&lt;/td&gt; &lt;/tr&gt;StatisticsInput: anxietyRun Time &lt;tr&gt; &lt;th&gt;Name&lt;/th&gt; &lt;th style=&quot;text-align: right&quot;&gt;IPS&lt;/th&gt; &lt;th style=&quot;text-align: right&quot;&gt;Average&lt;/th&gt; &lt;th style=&quot;text-align: right&quot;&gt;Devitation&lt;/th&gt; &lt;th style=&quot;text-align: right&quot;&gt;Median&lt;/th&gt; &lt;th style=&quot;text-align: right&quot;&gt;99th&amp;nbsp;%&lt;/th&gt; &lt;/tr&gt; &lt;tr&gt; &lt;td style=&quot;white-space: nowrap&quot;&gt;fast_rss&lt;/td&gt; &lt;td style=&quot;white-space: nowrap; text-align: right&quot;&gt;188.57&lt;/td&gt; &lt;td style=&quot;white-space: nowrap; text-align: right&quot;&gt;5.30 ms&lt;/td&gt; &lt;td style=&quot;white-space: nowrap; text-align: right&quot;&gt;±8.26%&lt;/td&gt; &lt;td style=&quot;white-space: nowrap; text-align: right&quot;&gt;5.45 ms&lt;/td&gt; &lt;td style=&quot;white-space: nowrap; text-align: right&quot;&gt;6.43 ms&lt;/td&gt; &lt;/tr&gt; &lt;tr&gt; &lt;td style=&quot;white-space: nowrap&quot;&gt;feeder_ex&lt;/td&gt; &lt;td style=&quot;white-space: nowrap; text-align: right&quot;&gt;3.70&lt;/td&gt; &lt;td style=&quot;white-space: nowrap; text-align: right&quot;&gt;269.92 ms&lt;/td&gt; &lt;td style=&quot;white-space: nowrap; text-align: right&quot;&gt;±5.34%&lt;/td&gt; &lt;td style=&quot;white-space: nowrap; text-align: right&quot;&gt;268.12 ms&lt;/td&gt; &lt;td style=&quot;white-space: nowrap; text-align: right&quot;&gt;316.12 ms&lt;/td&gt; &lt;/tr&gt; &lt;tr&gt; &lt;td style=&quot;white-space: nowrap&quot;&gt;feed_raptor&lt;/td&gt; &lt;td style=&quot;white-space: nowrap; text-align: right&quot;&gt;2.99&lt;/td&gt; &lt;td style=&quot;white-space: nowrap; text-align: right&quot;&gt;334.01 ms&lt;/td&gt; &lt;td style=&quot;white-space: nowrap; text-align: right&quot;&gt;±2.44%&lt;/td&gt; &lt;td style=&quot;white-space: nowrap; text-align: right&quot;&gt;331.03 ms&lt;/td&gt; &lt;td style=&quot;white-space: nowrap; text-align: right&quot;&gt;371.28 ms&lt;/td&gt; &lt;/tr&gt; &lt;tr&gt; &lt;td style=&quot;white-space: nowrap&quot;&gt;elixir_feed_parser&lt;/td&gt; &lt;td style=&quot;white-space: nowrap; text-align: right&quot;&gt;1.94&lt;/td&gt; &lt;td style=&quot;white-space: nowrap; text-align: right&quot;&gt;515.72 ms&lt;/td&gt; &lt;td style=&quot;white-space: nowrap; text-align: right&quot;&gt;±1.94%&lt;/td&gt; &lt;td style=&quot;white-space: nowrap; text-align: right&quot;&gt;516.10 ms&lt;/td&gt; &lt;td style=&quot;white-space: nowrap; text-align: right&quot;&gt;536.05 ms&lt;/td&gt; &lt;/tr&gt;Comparison &lt;tr&gt; &lt;th&gt;Name&lt;/th&gt; &lt;th style=&quot;text-align: right&quot;&gt;IPS&lt;/th&gt; &lt;th style=&quot;text-align: right&quot;&gt;Slower&lt;/th&gt; &lt;tr&gt; &lt;td style=&quot;white-space: nowrap&quot;&gt;fast_rss&lt;/td&gt; &lt;td style=&quot;white-space: nowrap;text-align: right&quot;&gt;188.57&lt;/td&gt; &lt;td&gt;&amp;nbsp;&lt;/td&gt; &lt;/tr&gt; &lt;tr&gt; &lt;td style=&quot;white-space: nowrap&quot;&gt;feeder_ex&lt;/td&gt; &lt;td style=&quot;white-space: nowrap; text-align: right&quot;&gt;3.70&lt;/td&gt; &lt;td style=&quot;white-space: nowrap; text-align: right&quot;&gt;50.9x&lt;/td&gt; &lt;/tr&gt; &lt;tr&gt; &lt;td style=&quot;white-space: nowrap&quot;&gt;feed_raptor&lt;/td&gt; &lt;td style=&quot;white-space: nowrap; text-align: right&quot;&gt;2.99&lt;/td&gt; &lt;td style=&quot;white-space: nowrap; text-align: right&quot;&gt;62.99x&lt;/td&gt; &lt;/tr&gt; &lt;tr&gt; &lt;td style=&quot;white-space: nowrap&quot;&gt;elixir_feed_parser&lt;/td&gt; &lt;td style=&quot;white-space: nowrap; text-align: right&quot;&gt;1.94&lt;/td&gt; &lt;td style=&quot;white-space: nowrap; text-align: right&quot;&gt;97.25x&lt;/td&gt; &lt;/tr&gt;Memory Usage &lt;tr&gt; &lt;th&gt;Name&lt;/th&gt; &lt;th style=&quot;text-align: right&quot;&gt;Memory&lt;/th&gt; &lt;th style=&quot;text-align: right&quot;&gt;Factor&lt;/th&gt; &lt;/tr&gt; &lt;tr&gt; &lt;td style=&quot;white-space: nowrap&quot;&gt;fast_rss&lt;/td&gt; &lt;td style=&quot;white-space: nowrap&quot;&gt;0.00156 MB&lt;/td&gt; &lt;td&gt;&amp;nbsp;&lt;/td&gt; &lt;/tr&gt; &lt;tr&gt; &lt;td style=&quot;white-space: nowrap&quot;&gt;feeder_ex&lt;/td&gt; &lt;td style=&quot;white-space: nowrap&quot;&gt;17.21 MB&lt;/td&gt; &lt;td&gt;11004.73x&lt;/td&gt; &lt;/tr&gt; &lt;tr&gt; &lt;td style=&quot;white-space: nowrap&quot;&gt;feed_raptor&lt;/td&gt; &lt;td style=&quot;white-space: nowrap&quot;&gt;268.53 MB&lt;/td&gt; &lt;td&gt;171693.91x&lt;/td&gt; &lt;/tr&gt; &lt;tr&gt; &lt;td style=&quot;white-space: nowrap&quot;&gt;elixir_feed_parser&lt;/td&gt; &lt;td style=&quot;white-space: nowrap&quot;&gt;313.30 MB&lt;/td&gt; &lt;td&gt;200316.09x&lt;/td&gt; &lt;/tr&gt;Input: benRun Time &lt;tr&gt; &lt;th&gt;Name&lt;/th&gt; &lt;th style=&quot;text-align: right&quot;&gt;IPS&lt;/th&gt; &lt;th style=&quot;text-align: right&quot;&gt;Average&lt;/th&gt; &lt;th style=&quot;text-align: right&quot;&gt;Devitation&lt;/th&gt; &lt;th style=&quot;text-align: right&quot;&gt;Median&lt;/th&gt; &lt;th style=&quot;text-align: right&quot;&gt;99th&amp;nbsp;%&lt;/th&gt; &lt;/tr&gt; &lt;tr&gt; &lt;td style=&quot;white-space: nowrap&quot;&gt;fast_rss&lt;/td&gt; &lt;td style=&quot;white-space: nowrap; text-align: right&quot;&gt;83.95&lt;/td&gt; &lt;td style=&quot;white-space: nowrap; text-align: right&quot;&gt;11.91 ms&lt;/td&gt; &lt;td style=&quot;white-space: nowrap; text-align: right&quot;&gt;±10.29%&lt;/td&gt; &lt;td style=&quot;white-space: nowrap; text-align: right&quot;&gt;12.23 ms&lt;/td&gt; &lt;td style=&quot;white-space: nowrap; text-align: right&quot;&gt;16.17 ms&lt;/td&gt; &lt;/tr&gt; &lt;tr&gt; &lt;td style=&quot;white-space: nowrap&quot;&gt;feeder_ex&lt;/td&gt; &lt;td style=&quot;white-space: nowrap; text-align: right&quot;&gt;13.33&lt;/td&gt; &lt;td style=&quot;white-space: nowrap; text-align: right&quot;&gt;75.04 ms&lt;/td&gt; &lt;td style=&quot;white-space: nowrap; text-align: right&quot;&gt;±4.38%&lt;/td&gt; &lt;td style=&quot;white-space: nowrap; text-align: right&quot;&gt;74.21 ms&lt;/td&gt; &lt;td style=&quot;white-space: nowrap; text-align: right&quot;&gt;89.72 ms&lt;/td&gt; &lt;/tr&gt; &lt;tr&gt; &lt;td style=&quot;white-space: nowrap&quot;&gt;elixir_feed_parser&lt;/td&gt; &lt;td style=&quot;white-space: nowrap; text-align: right&quot;&gt;3.52&lt;/td&gt; &lt;td style=&quot;white-space: nowrap; text-align: right&quot;&gt;284.18 ms&lt;/td&gt; &lt;td style=&quot;white-space: nowrap; text-align: right&quot;&gt;±3.89%&lt;/td&gt; &lt;td style=&quot;white-space: nowrap; text-align: right&quot;&gt;283.83 ms&lt;/td&gt; &lt;td style=&quot;white-space: nowrap; text-align: right&quot;&gt;324.08 ms&lt;/td&gt; &lt;/tr&gt; &lt;tr&gt; &lt;td style=&quot;white-space: nowrap&quot;&gt;feed_raptor&lt;/td&gt; &lt;td style=&quot;white-space: nowrap; text-align: right&quot;&gt;0.48&lt;/td&gt; &lt;td style=&quot;white-space: nowrap; text-align: right&quot;&gt;2078.76 ms&lt;/td&gt; &lt;td style=&quot;white-space: nowrap; text-align: right&quot;&gt;±0.52%&lt;/td&gt; &lt;td style=&quot;white-space: nowrap; text-align: right&quot;&gt;2076.27 ms&lt;/td&gt; &lt;td style=&quot;white-space: nowrap; text-align: right&quot;&gt;2097.44 ms&lt;/td&gt; &lt;/tr&gt;Comparison &lt;tr&gt; &lt;th&gt;Name&lt;/th&gt; &lt;th style=&quot;text-align: right&quot;&gt;IPS&lt;/th&gt; &lt;th style=&quot;text-align: right&quot;&gt;Slower&lt;/th&gt; &lt;tr&gt; &lt;td style=&quot;white-space: nowrap&quot;&gt;fast_rss&lt;/td&gt; &lt;td style=&quot;white-space: nowrap;text-align: right&quot;&gt;83.95&lt;/td&gt; &lt;td&gt;&amp;nbsp;&lt;/td&gt; &lt;/tr&gt; &lt;tr&gt; &lt;td style=&quot;white-space: nowrap&quot;&gt;feeder_ex&lt;/td&gt; &lt;td style=&quot;white-space: nowrap; text-align: right&quot;&gt;13.33&lt;/td&gt; &lt;td style=&quot;white-space: nowrap; text-align: right&quot;&gt;6.3x&lt;/td&gt; &lt;/tr&gt; &lt;tr&gt; &lt;td style=&quot;white-space: nowrap&quot;&gt;elixir_feed_parser&lt;/td&gt; &lt;td style=&quot;white-space: nowrap; text-align: right&quot;&gt;3.52&lt;/td&gt; &lt;td style=&quot;white-space: nowrap; text-align: right&quot;&gt;23.86x&lt;/td&gt; &lt;/tr&gt; &lt;tr&gt; &lt;td style=&quot;white-space: nowrap&quot;&gt;feed_raptor&lt;/td&gt; &lt;td style=&quot;white-space: nowrap; text-align: right&quot;&gt;0.48&lt;/td&gt; &lt;td style=&quot;white-space: nowrap; text-align: right&quot;&gt;174.51x&lt;/td&gt; &lt;/tr&gt;Memory Usage &lt;tr&gt; &lt;th&gt;Name&lt;/th&gt; &lt;th style=&quot;text-align: right&quot;&gt;Memory&lt;/th&gt; &lt;th style=&quot;text-align: right&quot;&gt;Factor&lt;/th&gt; &lt;/tr&gt; &lt;tr&gt; &lt;td style=&quot;white-space: nowrap&quot;&gt;fast_rss&lt;/td&gt; &lt;td style=&quot;white-space: nowrap&quot;&gt;0.00155 MB&lt;/td&gt; &lt;td&gt;&amp;nbsp;&lt;/td&gt; &lt;/tr&gt; &lt;tr&gt; &lt;td style=&quot;white-space: nowrap&quot;&gt;feeder_ex&lt;/td&gt; &lt;td style=&quot;white-space: nowrap&quot;&gt;27.86 MB&lt;/td&gt; &lt;td&gt;17990.96x&lt;/td&gt; &lt;/tr&gt; &lt;tr&gt; &lt;td style=&quot;white-space: nowrap&quot;&gt;elixir_feed_parser&lt;/td&gt; &lt;td style=&quot;white-space: nowrap&quot;&gt;163.88 MB&lt;/td&gt; &lt;td&gt;105811.88x&lt;/td&gt; &lt;/tr&gt; &lt;tr&gt; &lt;td style=&quot;white-space: nowrap&quot;&gt;feed_raptor&lt;/td&gt; &lt;td style=&quot;white-space: nowrap&quot;&gt;1577.41 MB&lt;/td&gt; &lt;td&gt;1018492.36x&lt;/td&gt; &lt;/tr&gt;Input: dailyRun Time &lt;tr&gt; &lt;th&gt;Name&lt;/th&gt; &lt;th style=&quot;text-align: right&quot;&gt;IPS&lt;/th&gt; &lt;th style=&quot;text-align: right&quot;&gt;Average&lt;/th&gt; &lt;th style=&quot;text-align: right&quot;&gt;Devitation&lt;/th&gt; &lt;th style=&quot;text-align: right&quot;&gt;Median&lt;/th&gt; &lt;th style=&quot;text-align: right&quot;&gt;99th&amp;nbsp;%&lt;/th&gt; &lt;/tr&gt; &lt;tr&gt; &lt;td style=&quot;white-space: nowrap&quot;&gt;fast_rss&lt;/td&gt; &lt;td style=&quot;white-space: nowrap; text-align: right&quot;&gt;32.98&lt;/td&gt; &lt;td style=&quot;white-space: nowrap; text-align: right&quot;&gt;0.0303 s&lt;/td&gt; &lt;td style=&quot;white-space: nowrap; text-align: right&quot;&gt;±7.62%&lt;/td&gt; &lt;td style=&quot;white-space: nowrap; text-align: right&quot;&gt;0.0313 s&lt;/td&gt; &lt;td style=&quot;white-space: nowrap; text-align: right&quot;&gt;0.0339 s&lt;/td&gt; &lt;/tr&gt; &lt;tr&gt; &lt;td style=&quot;white-space: nowrap&quot;&gt;feeder_ex&lt;/td&gt; &lt;td style=&quot;white-space: nowrap; text-align: right&quot;&gt;4.94&lt;/td&gt; &lt;td style=&quot;white-space: nowrap; text-align: right&quot;&gt;0.20 s&lt;/td&gt; &lt;td style=&quot;white-space: nowrap; text-align: right&quot;&gt;±4.61%&lt;/td&gt; &lt;td style=&quot;white-space: nowrap; text-align: right&quot;&gt;0.199 s&lt;/td&gt; &lt;td style=&quot;white-space: nowrap; text-align: right&quot;&gt;0.24 s&lt;/td&gt; &lt;/tr&gt; &lt;tr&gt; &lt;td style=&quot;white-space: nowrap&quot;&gt;elixir_feed_parser&lt;/td&gt; &lt;td style=&quot;white-space: nowrap; text-align: right&quot;&gt;0.64&lt;/td&gt; &lt;td style=&quot;white-space: nowrap; text-align: right&quot;&gt;1.57 s&lt;/td&gt; &lt;td style=&quot;white-space: nowrap; text-align: right&quot;&gt;±1.50%&lt;/td&gt; &lt;td style=&quot;white-space: nowrap; text-align: right&quot;&gt;1.57 s&lt;/td&gt; &lt;td style=&quot;white-space: nowrap; text-align: right&quot;&gt;1.63 s&lt;/td&gt; &lt;/tr&gt; &lt;tr&gt; &lt;td style=&quot;white-space: nowrap&quot;&gt;feed_raptor&lt;/td&gt; &lt;td style=&quot;white-space: nowrap; text-align: right&quot;&gt;0.127&lt;/td&gt; &lt;td style=&quot;white-space: nowrap; text-align: right&quot;&gt;7.88 s&lt;/td&gt; &lt;td style=&quot;white-space: nowrap; text-align: right&quot;&gt;±0.23%&lt;/td&gt; &lt;td style=&quot;white-space: nowrap; text-align: right&quot;&gt;7.88 s&lt;/td&gt; &lt;td style=&quot;white-space: nowrap; text-align: right&quot;&gt;7.90 s&lt;/td&gt; &lt;/tr&gt;Comparison &lt;tr&gt; &lt;th&gt;Name&lt;/th&gt; &lt;th style=&quot;text-align: right&quot;&gt;IPS&lt;/th&gt; &lt;th style=&quot;text-align: right&quot;&gt;Slower&lt;/th&gt; &lt;tr&gt; &lt;td style=&quot;white-space: nowrap&quot;&gt;fast_rss&lt;/td&gt; &lt;td style=&quot;white-space: nowrap;text-align: right&quot;&gt;32.98&lt;/td&gt; &lt;td&gt;&amp;nbsp;&lt;/td&gt; &lt;/tr&gt; &lt;tr&gt; &lt;td style=&quot;white-space: nowrap&quot;&gt;feeder_ex&lt;/td&gt; &lt;td style=&quot;white-space: nowrap; text-align: right&quot;&gt;4.94&lt;/td&gt; &lt;td style=&quot;white-space: nowrap; text-align: right&quot;&gt;6.68x&lt;/td&gt; &lt;/tr&gt; &lt;tr&gt; &lt;td style=&quot;white-space: nowrap&quot;&gt;elixir_feed_parser&lt;/td&gt; &lt;td style=&quot;white-space: nowrap; text-align: right&quot;&gt;0.64&lt;/td&gt; &lt;td style=&quot;white-space: nowrap; text-align: right&quot;&gt;51.86x&lt;/td&gt; &lt;/tr&gt; &lt;tr&gt; &lt;td style=&quot;white-space: nowrap&quot;&gt;feed_raptor&lt;/td&gt; &lt;td style=&quot;white-space: nowrap; text-align: right&quot;&gt;0.127&lt;/td&gt; &lt;td style=&quot;white-space: nowrap; text-align: right&quot;&gt;259.91x&lt;/td&gt; &lt;/tr&gt;Memory Usage &lt;tr&gt; &lt;th&gt;Name&lt;/th&gt; &lt;th style=&quot;text-align: right&quot;&gt;Memory&lt;/th&gt; &lt;th style=&quot;text-align: right&quot;&gt;Factor&lt;/th&gt; &lt;/tr&gt; &lt;tr&gt; &lt;td style=&quot;white-space: nowrap&quot;&gt;fast_rss&lt;/td&gt; &lt;td style=&quot;white-space: nowrap&quot;&gt;0.00153 MB&lt;/td&gt; &lt;td&gt;&amp;nbsp;&lt;/td&gt; &lt;/tr&gt; &lt;tr&gt; &lt;td style=&quot;white-space: nowrap&quot;&gt;feeder_ex&lt;/td&gt; &lt;td style=&quot;white-space: nowrap&quot;&gt;109.73 MB&lt;/td&gt; &lt;td&gt;71555.78x&lt;/td&gt; &lt;/tr&gt; &lt;tr&gt; &lt;td style=&quot;white-space: nowrap&quot;&gt;elixir_feed_parser&lt;/td&gt; &lt;td style=&quot;white-space: nowrap&quot;&gt;880.51 MB&lt;/td&gt; &lt;td&gt;574178.95x&lt;/td&gt; &lt;/tr&gt; &lt;tr&gt; &lt;td style=&quot;white-space: nowrap&quot;&gt;feed_raptor&lt;/td&gt; &lt;td style=&quot;white-space: nowrap&quot;&gt;6386.12 MB&lt;/td&gt; &lt;td&gt;4164382.64x&lt;/td&gt; &lt;/tr&gt;Input: daveRun Time &lt;tr&gt; &lt;th&gt;Name&lt;/th&gt; &lt;th style=&quot;text-align: right&quot;&gt;IPS&lt;/th&gt; &lt;th style=&quot;text-align: right&quot;&gt;Average&lt;/th&gt; &lt;th style=&quot;text-align: right&quot;&gt;Devitation&lt;/th&gt; &lt;th style=&quot;text-align: right&quot;&gt;Median&lt;/th&gt; &lt;th style=&quot;text-align: right&quot;&gt;99th&amp;nbsp;%&lt;/th&gt; &lt;/tr&gt; &lt;tr&gt; &lt;td style=&quot;white-space: nowrap&quot;&gt;fast_rss&lt;/td&gt; &lt;td style=&quot;white-space: nowrap; text-align: right&quot;&gt;407.08&lt;/td&gt; &lt;td style=&quot;white-space: nowrap; text-align: right&quot;&gt;2.46 ms&lt;/td&gt; &lt;td style=&quot;white-space: nowrap; text-align: right&quot;&gt;±9.83%&lt;/td&gt; &lt;td style=&quot;white-space: nowrap; text-align: right&quot;&gt;2.41 ms&lt;/td&gt; &lt;td style=&quot;white-space: nowrap; text-align: right&quot;&gt;3.16 ms&lt;/td&gt; &lt;/tr&gt; &lt;tr&gt; &lt;td style=&quot;white-space: nowrap&quot;&gt;feeder_ex&lt;/td&gt; &lt;td style=&quot;white-space: nowrap; text-align: right&quot;&gt;56.52&lt;/td&gt; &lt;td style=&quot;white-space: nowrap; text-align: right&quot;&gt;17.69 ms&lt;/td&gt; &lt;td style=&quot;white-space: nowrap; text-align: right&quot;&gt;±6.14%&lt;/td&gt; &lt;td style=&quot;white-space: nowrap; text-align: right&quot;&gt;17.37 ms&lt;/td&gt; &lt;td style=&quot;white-space: nowrap; text-align: right&quot;&gt;22.51 ms&lt;/td&gt; &lt;/tr&gt; &lt;tr&gt; &lt;td style=&quot;white-space: nowrap&quot;&gt;elixir_feed_parser&lt;/td&gt; &lt;td style=&quot;white-space: nowrap; text-align: right&quot;&gt;8.90&lt;/td&gt; &lt;td style=&quot;white-space: nowrap; text-align: right&quot;&gt;112.31 ms&lt;/td&gt; &lt;td style=&quot;white-space: nowrap; text-align: right&quot;&gt;±4.12%&lt;/td&gt; &lt;td style=&quot;white-space: nowrap; text-align: right&quot;&gt;111.93 ms&lt;/td&gt; &lt;td style=&quot;white-space: nowrap; text-align: right&quot;&gt;127.60 ms&lt;/td&gt; &lt;/tr&gt; &lt;tr&gt; &lt;td style=&quot;white-space: nowrap&quot;&gt;feed_raptor&lt;/td&gt; &lt;td style=&quot;white-space: nowrap; text-align: right&quot;&gt;1.59&lt;/td&gt; &lt;td style=&quot;white-space: nowrap; text-align: right&quot;&gt;628.45 ms&lt;/td&gt; &lt;td style=&quot;white-space: nowrap; text-align: right&quot;&gt;±1.60%&lt;/td&gt; &lt;td style=&quot;white-space: nowrap; text-align: right&quot;&gt;626.71 ms&lt;/td&gt; &lt;td style=&quot;white-space: nowrap; text-align: right&quot;&gt;656.74 ms&lt;/td&gt; &lt;/tr&gt;Comparison &lt;tr&gt; &lt;th&gt;Name&lt;/th&gt; &lt;th style=&quot;text-align: right&quot;&gt;IPS&lt;/th&gt; &lt;th style=&quot;text-align: right&quot;&gt;Slower&lt;/th&gt; &lt;tr&gt; &lt;td style=&quot;white-space: nowrap&quot;&gt;fast_rss&lt;/td&gt; &lt;td style=&quot;white-space: nowrap;text-align: right&quot;&gt;407.08&lt;/td&gt; &lt;td&gt;&amp;nbsp;&lt;/td&gt; &lt;/tr&gt; &lt;tr&gt; &lt;td style=&quot;white-space: nowrap&quot;&gt;feeder_ex&lt;/td&gt; &lt;td style=&quot;white-space: nowrap; text-align: right&quot;&gt;56.52&lt;/td&gt; &lt;td style=&quot;white-space: nowrap; text-align: right&quot;&gt;7.2x&lt;/td&gt; &lt;/tr&gt; &lt;tr&gt; &lt;td style=&quot;white-space: nowrap&quot;&gt;elixir_feed_parser&lt;/td&gt; &lt;td style=&quot;white-space: nowrap; text-align: right&quot;&gt;8.90&lt;/td&gt; &lt;td style=&quot;white-space: nowrap; text-align: right&quot;&gt;45.72x&lt;/td&gt; &lt;/tr&gt; &lt;tr&gt; &lt;td style=&quot;white-space: nowrap&quot;&gt;feed_raptor&lt;/td&gt; &lt;td style=&quot;white-space: nowrap; text-align: right&quot;&gt;1.59&lt;/td&gt; &lt;td style=&quot;white-space: nowrap; text-align: right&quot;&gt;255.83x&lt;/td&gt; &lt;/tr&gt;Memory Usage &lt;tr&gt; &lt;th&gt;Name&lt;/th&gt; &lt;th style=&quot;text-align: right&quot;&gt;Memory&lt;/th&gt; &lt;th style=&quot;text-align: right&quot;&gt;Factor&lt;/th&gt; &lt;/tr&gt; &lt;tr&gt; &lt;td style=&quot;white-space: nowrap&quot;&gt;fast_rss&lt;/td&gt; &lt;td style=&quot;white-space: nowrap&quot;&gt;0.00157 MB&lt;/td&gt; &lt;td&gt;&amp;nbsp;&lt;/td&gt; &lt;/tr&gt; &lt;tr&gt; &lt;td style=&quot;white-space: nowrap&quot;&gt;feeder_ex&lt;/td&gt; &lt;td style=&quot;white-space: nowrap&quot;&gt;9.25 MB&lt;/td&gt; &lt;td&gt;5886.17x&lt;/td&gt; &lt;/tr&gt; &lt;tr&gt; &lt;td style=&quot;white-space: nowrap&quot;&gt;elixir_feed_parser&lt;/td&gt; &lt;td style=&quot;white-space: nowrap&quot;&gt;80.42 MB&lt;/td&gt; &lt;td&gt;51170.23x&lt;/td&gt; &lt;/tr&gt; &lt;tr&gt; &lt;td style=&quot;white-space: nowrap&quot;&gt;feed_raptor&lt;/td&gt; &lt;td style=&quot;white-space: nowrap&quot;&gt;571.18 MB&lt;/td&gt; &lt;td&gt;363425.45x&lt;/td&gt; &lt;/tr&gt;Input: sleepyRun Time &lt;tr&gt; &lt;th&gt;Name&lt;/th&gt; &lt;th style=&quot;text-align: right&quot;&gt;IPS&lt;/th&gt; &lt;th style=&quot;text-align: right&quot;&gt;Average&lt;/th&gt; &lt;th style=&quot;text-align: right&quot;&gt;Devitation&lt;/th&gt; &lt;th style=&quot;text-align: right&quot;&gt;Median&lt;/th&gt; &lt;th style=&quot;text-align: right&quot;&gt;99th&amp;nbsp;%&lt;/th&gt; &lt;/tr&gt; &lt;tr&gt; &lt;td style=&quot;white-space: nowrap&quot;&gt;fast_rss&lt;/td&gt; &lt;td style=&quot;white-space: nowrap; text-align: right&quot;&gt;760.30&lt;/td&gt; &lt;td style=&quot;white-space: nowrap; text-align: right&quot;&gt;1.32 ms&lt;/td&gt; &lt;td style=&quot;white-space: nowrap; text-align: right&quot;&gt;±16.62%&lt;/td&gt; &lt;td style=&quot;white-space: nowrap; text-align: right&quot;&gt;1.21 ms&lt;/td&gt; &lt;td style=&quot;white-space: nowrap; text-align: right&quot;&gt;2.03 ms&lt;/td&gt; &lt;/tr&gt; &lt;tr&gt; &lt;td style=&quot;white-space: nowrap&quot;&gt;feeder_ex&lt;/td&gt; &lt;td style=&quot;white-space: nowrap; text-align: right&quot;&gt;124.28&lt;/td&gt; &lt;td style=&quot;white-space: nowrap; text-align: right&quot;&gt;8.05 ms&lt;/td&gt; &lt;td style=&quot;white-space: nowrap; text-align: right&quot;&gt;±6.94%&lt;/td&gt; &lt;td style=&quot;white-space: nowrap; text-align: right&quot;&gt;8.03 ms&lt;/td&gt; &lt;td style=&quot;white-space: nowrap; text-align: right&quot;&gt;10.32 ms&lt;/td&gt; &lt;/tr&gt; &lt;tr&gt; &lt;td style=&quot;white-space: nowrap&quot;&gt;elixir_feed_parser&lt;/td&gt; &lt;td style=&quot;white-space: nowrap; text-align: right&quot;&gt;26.26&lt;/td&gt; &lt;td style=&quot;white-space: nowrap; text-align: right&quot;&gt;38.09 ms&lt;/td&gt; &lt;td style=&quot;white-space: nowrap; text-align: right&quot;&gt;±5.08%&lt;/td&gt; &lt;td style=&quot;white-space: nowrap; text-align: right&quot;&gt;37.81 ms&lt;/td&gt; &lt;td style=&quot;white-space: nowrap; text-align: right&quot;&gt;44.42 ms&lt;/td&gt; &lt;/tr&gt; &lt;tr&gt; &lt;td style=&quot;white-space: nowrap&quot;&gt;feed_raptor&lt;/td&gt; &lt;td style=&quot;white-space: nowrap; text-align: right&quot;&gt;3.21&lt;/td&gt; &lt;td style=&quot;white-space: nowrap; text-align: right&quot;&gt;311.16 ms&lt;/td&gt; &lt;td style=&quot;white-space: nowrap; text-align: right&quot;&gt;±2.85%&lt;/td&gt; &lt;td style=&quot;white-space: nowrap; text-align: right&quot;&gt;307.86 ms&lt;/td&gt; &lt;td style=&quot;white-space: nowrap; text-align: right&quot;&gt;345.09 ms&lt;/td&gt; &lt;/tr&gt;Comparison &lt;tr&gt; &lt;th&gt;Name&lt;/th&gt; &lt;th style=&quot;text-align: right&quot;&gt;IPS&lt;/th&gt; &lt;th style=&quot;text-align: right&quot;&gt;Slower&lt;/th&gt; &lt;tr&gt; &lt;td style=&quot;white-space: nowrap&quot;&gt;fast_rss&lt;/td&gt; &lt;td style=&quot;white-space: nowrap;text-align: right&quot;&gt;760.30&lt;/td&gt; &lt;td&gt;&amp;nbsp;&lt;/td&gt; &lt;/tr&gt; &lt;tr&gt; &lt;td style=&quot;white-space: nowrap&quot;&gt;feeder_ex&lt;/td&gt; &lt;td style=&quot;white-space: nowrap; text-align: right&quot;&gt;124.28&lt;/td&gt; &lt;td style=&quot;white-space: nowrap; text-align: right&quot;&gt;6.12x&lt;/td&gt; &lt;/tr&gt; &lt;tr&gt; &lt;td style=&quot;white-space: nowrap&quot;&gt;elixir_feed_parser&lt;/td&gt; &lt;td style=&quot;white-space: nowrap; text-align: right&quot;&gt;26.26&lt;/td&gt; &lt;td style=&quot;white-space: nowrap; text-align: right&quot;&gt;28.96x&lt;/td&gt; &lt;/tr&gt; &lt;tr&gt; &lt;td style=&quot;white-space: nowrap&quot;&gt;feed_raptor&lt;/td&gt; &lt;td style=&quot;white-space: nowrap; text-align: right&quot;&gt;3.21&lt;/td&gt; &lt;td style=&quot;white-space: nowrap; text-align: right&quot;&gt;236.57x&lt;/td&gt; &lt;/tr&gt;Memory Usage &lt;tr&gt; &lt;th&gt;Name&lt;/th&gt; &lt;th style=&quot;text-align: right&quot;&gt;Memory&lt;/th&gt; &lt;th style=&quot;text-align: right&quot;&gt;Factor&lt;/th&gt; &lt;/tr&gt; &lt;tr&gt; &lt;td style=&quot;white-space: nowrap&quot;&gt;fast_rss&lt;/td&gt; &lt;td style=&quot;white-space: nowrap&quot;&gt;0.00157 MB&lt;/td&gt; &lt;td&gt;&amp;nbsp;&lt;/td&gt; &lt;/tr&gt; &lt;tr&gt; &lt;td style=&quot;white-space: nowrap&quot;&gt;feeder_ex&lt;/td&gt; &lt;td style=&quot;white-space: nowrap&quot;&gt;4.28 MB&lt;/td&gt; &lt;td&gt;2726.19x&lt;/td&gt; &lt;/tr&gt; &lt;tr&gt; &lt;td style=&quot;white-space: nowrap&quot;&gt;elixir_feed_parser&lt;/td&gt; &lt;td style=&quot;white-space: nowrap&quot;&gt;35.88 MB&lt;/td&gt; &lt;td&gt;22829.92x&lt;/td&gt; &lt;/tr&gt; &lt;tr&gt; &lt;td style=&quot;white-space: nowrap&quot;&gt;feed_raptor&lt;/td&gt; &lt;td style=&quot;white-space: nowrap&quot;&gt;274.98 MB&lt;/td&gt; &lt;td&gt;174963.99x&lt;/td&gt; &lt;/tr&gt;Input: stuffRun Time &lt;tr&gt; &lt;th&gt;Name&lt;/th&gt; &lt;th style=&quot;text-align: right&quot;&gt;IPS&lt;/th&gt; &lt;th style=&quot;text-align: right&quot;&gt;Average&lt;/th&gt; &lt;th style=&quot;text-align: right&quot;&gt;Devitation&lt;/th&gt; &lt;th style=&quot;text-align: right&quot;&gt;Median&lt;/th&gt; &lt;th style=&quot;text-align: right&quot;&gt;99th&amp;nbsp;%&lt;/th&gt; &lt;/tr&gt; &lt;tr&gt; &lt;td style=&quot;white-space: nowrap&quot;&gt;fast_rss&lt;/td&gt; &lt;td style=&quot;white-space: nowrap; text-align: right&quot;&gt;19.19&lt;/td&gt; &lt;td style=&quot;white-space: nowrap; text-align: right&quot;&gt;0.0521 s&lt;/td&gt; &lt;td style=&quot;white-space: nowrap; text-align: right&quot;&gt;±9.19%&lt;/td&gt; &lt;td style=&quot;white-space: nowrap; text-align: right&quot;&gt;0.0546 s&lt;/td&gt; &lt;td style=&quot;white-space: nowrap; text-align: right&quot;&gt;0.0635 s&lt;/td&gt; &lt;/tr&gt; &lt;tr&gt; &lt;td style=&quot;white-space: nowrap&quot;&gt;feeder_ex&lt;/td&gt; &lt;td style=&quot;white-space: nowrap; text-align: right&quot;&gt;0.93&lt;/td&gt; &lt;td style=&quot;white-space: nowrap; text-align: right&quot;&gt;1.07 s&lt;/td&gt; &lt;td style=&quot;white-space: nowrap; text-align: right&quot;&gt;±2.49%&lt;/td&gt; &lt;td style=&quot;white-space: nowrap; text-align: right&quot;&gt;1.07 s&lt;/td&gt; &lt;td style=&quot;white-space: nowrap; text-align: right&quot;&gt;1.15 s&lt;/td&gt; &lt;/tr&gt; &lt;tr&gt; &lt;td style=&quot;white-space: nowrap&quot;&gt;elixir_feed_parser&lt;/td&gt; &lt;td style=&quot;white-space: nowrap; text-align: right&quot;&gt;0.53&lt;/td&gt; &lt;td style=&quot;white-space: nowrap; text-align: right&quot;&gt;1.88 s&lt;/td&gt; &lt;td style=&quot;white-space: nowrap; text-align: right&quot;&gt;±1.22%&lt;/td&gt; &lt;td style=&quot;white-space: nowrap; text-align: right&quot;&gt;1.89 s&lt;/td&gt; &lt;td style=&quot;white-space: nowrap; text-align: right&quot;&gt;1.92 s&lt;/td&gt; &lt;/tr&gt; &lt;tr&gt; &lt;td style=&quot;white-space: nowrap&quot;&gt;feed_raptor&lt;/td&gt; &lt;td style=&quot;white-space: nowrap; text-align: right&quot;&gt;0.0797&lt;/td&gt; &lt;td style=&quot;white-space: nowrap; text-align: right&quot;&gt;12.54 s&lt;/td&gt; &lt;td style=&quot;white-space: nowrap; text-align: right&quot;&gt;±1.61%&lt;/td&gt; &lt;td style=&quot;white-space: nowrap; text-align: right&quot;&gt;12.44 s&lt;/td&gt; &lt;td style=&quot;white-space: nowrap; text-align: right&quot;&gt;12.77 s&lt;/td&gt; &lt;/tr&gt;Comparison &lt;tr&gt; &lt;th&gt;Name&lt;/th&gt; &lt;th style=&quot;text-align: right&quot;&gt;IPS&lt;/th&gt; &lt;th style=&quot;text-align: right&quot;&gt;Slower&lt;/th&gt; &lt;tr&gt; &lt;td style=&quot;white-space: nowrap&quot;&gt;fast_rss&lt;/td&gt; &lt;td style=&quot;white-space: nowrap;text-align: right&quot;&gt;19.19&lt;/td&gt; &lt;td&gt;&amp;nbsp;&lt;/td&gt; &lt;/tr&gt; &lt;tr&gt; &lt;td style=&quot;white-space: nowrap&quot;&gt;feeder_ex&lt;/td&gt; &lt;td style=&quot;white-space: nowrap; text-align: right&quot;&gt;0.93&lt;/td&gt; &lt;td style=&quot;white-space: nowrap; text-align: right&quot;&gt;20.59x&lt;/td&gt; &lt;/tr&gt; &lt;tr&gt; &lt;td style=&quot;white-space: nowrap&quot;&gt;elixir_feed_parser&lt;/td&gt; &lt;td style=&quot;white-space: nowrap; text-align: right&quot;&gt;0.53&lt;/td&gt; &lt;td style=&quot;white-space: nowrap; text-align: right&quot;&gt;36.11x&lt;/td&gt; &lt;/tr&gt; &lt;tr&gt; &lt;td style=&quot;white-space: nowrap&quot;&gt;feed_raptor&lt;/td&gt; &lt;td style=&quot;white-space: nowrap; text-align: right&quot;&gt;0.0797&lt;/td&gt; &lt;td style=&quot;white-space: nowrap; text-align: right&quot;&gt;240.68x&lt;/td&gt; &lt;/tr&gt;Memory Usage &lt;tr&gt; &lt;th&gt;Name&lt;/th&gt; &lt;th style=&quot;text-align: right&quot;&gt;Memory&lt;/th&gt; &lt;th style=&quot;text-align: right&quot;&gt;Factor&lt;/th&gt; &lt;/tr&gt; &lt;tr&gt; &lt;td style=&quot;white-space: nowrap&quot;&gt;fast_rss&lt;/td&gt; &lt;td style=&quot;white-space: nowrap&quot;&gt;0.00154 MB&lt;/td&gt; &lt;td&gt;&amp;nbsp;&lt;/td&gt; &lt;/tr&gt; &lt;tr&gt; &lt;td style=&quot;white-space: nowrap&quot;&gt;feeder_ex&lt;/td&gt; &lt;td style=&quot;white-space: nowrap&quot;&gt;140.58 MB&lt;/td&gt; &lt;td&gt;91220.55x&lt;/td&gt; &lt;/tr&gt; &lt;tr&gt; &lt;td style=&quot;white-space: nowrap&quot;&gt;elixir_feed_parser&lt;/td&gt; &lt;td style=&quot;white-space: nowrap&quot;&gt;1018.78 MB&lt;/td&gt; &lt;td&gt;661058.28x&lt;/td&gt; &lt;/tr&gt; &lt;tr&gt; &lt;td style=&quot;white-space: nowrap&quot;&gt;feed_raptor&lt;/td&gt; &lt;td style=&quot;white-space: nowrap&quot;&gt;8424.44 MB&lt;/td&gt; &lt;td&gt;5466379.81x&lt;/td&gt; &lt;/tr&gt;","ref":"readme.html#benchmark","title":"README - Benchmark","type":"extras"},{"doc":"Deploying rust NIFs can be a little bit annoying as you have to install the rust compiler. If you are having trouble deploying this package make an issue and I will try and help you out.I will then add it to the FAQ below.Q. How do I deploy using an Alpine Dockerfile?A. I recommend using a multi-stage Dockerfile, and doing the following On the stages where you build all your deps, and build your release make sure to install build-base and libgcc:# This step installs all the build tools we'll need RUN apk update &amp;&amp; \\ apk upgrade --no-cache &amp;&amp; \\ apk add --no-cache \\ git \\ curl \\ build-base \\ libgcc &amp;&amp; \\ mix local.rebar --force &amp;&amp; \\ mix local.hex --force Install the rust compiler and allow dynamic linking to the C library by setting the rust flag# install rustup RUN curl --proto '=https' --tlsv1.2 -sSf https://sh.rustup.rs | sh -s -- -y ENV RUSTUP_HOME=/root/.rustup \\ RUSTFLAGS=&quot;-C target-feature=-crt-static&quot; \\ CARGO_HOME=/root/.cargo \\ PATH=&quot;/root/.cargo/bin:$PATH&quot; On the stage where you actually run your elixir release install libgcc:################################################################################ ## STEP 4 - FINAL FROM alpine:3.11 ENV MIX_ENV=prod RUN apk update &amp;&amp; \\ apk add --no-cache \\ bash \\ libgcc \\ openssl-dev COPY --from=release-builder /opt/built /app WORKDIR /app CMD [&quot;/app/my_app/bin/my_app&quot;, &quot;start&quot;]","ref":"readme.html#deploying","title":"README - Deploying","type":"extras"},{"doc":"FastRSS is released under the Apache License 2.0 - see the LICENSE file.","ref":"readme.html#license","title":"README - License","type":"extras"},{"doc":"CHANGELOGAll notable changes to this project will be documented in this file.The format is based on Keep a Changelog, and this project adheres to Semantic Versioning.","ref":"changelog.html","title":"CHANGELOG","type":"extras"},{"doc":"","ref":"changelog.html#unreleased","title":"CHANGELOG - Unreleased","type":"extras"},{"doc":"FixedNow compiles on M1 (arm64) macs, thanks @29decibelInternalUpdated cargo depsFixed clippy warnings","ref":"changelog.html#0-3-5-2021-02-18","title":"CHANGELOG - [0.3.5] – 2021-02-18","type":"extras"},{"doc":"Update cargo dependencies","ref":"changelog.html#0-3-4-2020-10-27","title":"CHANGELOG - [0.3.4] – 2020-10-27","type":"extras"},{"doc":"FixedPass errors back as :error not :unknown_error","ref":"changelog.html#0-3-3-2020-02-28","title":"CHANGELOG - [0.3.3] – 2020-02-28","type":"extras"},{"doc":"ChangedPass all errors back as {:error, String.t()} tuple instead of raising in some cases","ref":"changelog.html#0-3-2-2020-02-27","title":"CHANGELOG - [0.3.2] – 2020-02-27","type":"extras"},{"doc":"AddedREADME to hexdocsFull license to repo","ref":"changelog.html#0-3-1-2020-02-24","title":"CHANGELOG - [0.3.1] – 2020-02-24","type":"extras"},{"doc":"FixedUse erlang dirty schedulerNow requires OTP &gt;= 20Added benchmark for normal vs dirty: normal vs dirty","ref":"changelog.html#0-3-0-2020-02-24","title":"CHANGELOG - [0.3.0] – 2020-02-24","type":"extras"},{"doc":"ChangedMap is returned with string keys instead of atom keysNow between 6.12x - 50.09x faster than next fastest tested optionRemoved Jason dependencyReturning elixir map directly instead of returning a stringified JSON and then using Jason to convert it to an elixir map","ref":"changelog.html#0-2-0-2020-02-22","title":"CHANGELOG - [0.2.0] – 2020-02-22","type":"extras"},{"doc":"Convert RSS feed into map with atom keysBetween 2.85x - 22.05x faster than next fastest tested option","ref":"changelog.html#0-1-4-2020-02-21","title":"CHANGELOG - [0.1.4] – 2020-02-21","type":"extras"},{"doc":"Apache License Version 2.0, January 2004 http://www.apache.org/licenses/TERMS AND CONDITIONS FOR USE, REPRODUCTION, AND DISTRIBUTION Definitions.&quot;License&quot; shall mean the terms and conditions for use, reproduction, and distribution as defined by Sections 1 through 9 of this document. &quot;Licensor&quot; shall mean the copyright owner or entity authorized by the copyright owner that is granting the License. &quot;Legal Entity&quot; shall mean the union of the acting entity and all other entities that control, are controlled by, or are under common control with that entity. For the purposes of this definition, &quot;control&quot; means (i) the power, direct or indirect, to cause the direction or management of such entity, whether by contract or otherwise, or (ii) ownership of fifty percent (50%) or more of the outstanding shares, or (iii) beneficial ownership of such entity. &quot;You&quot; (or &quot;Your&quot;) shall mean an individual or Legal Entity exercising permissions granted by this License. &quot;Source&quot; form shall mean the preferred form for making modifications, including but not limited to software source code, documentation source, and configuration files. &quot;Object&quot; form shall mean any form resulting from mechanical transformation or translation of a Source form, including but not limited to compiled object code, generated documentation, and conversions to other media types. &quot;Work&quot; shall mean the work of authorship, whether in Source or Object form, made available under the License, as indicated by a copyright notice that is included in or attached to the work (an example is provided in the Appendix below). &quot;Derivative Works&quot; shall mean any work, whether in Source or Object form, that is based on (or derived from) the Work and for which the editorial revisions, annotations, elaborations, or other modifications represent, as a whole, an original work of authorship. For the purposes of this License, Derivative Works shall not include works that remain separable from, or merely link (or bind by name) to the interfaces of, the Work and Derivative Works thereof. &quot;Contribution&quot; shall mean any work of authorship, including the original version of the Work and any modifications or additions to that Work or Derivative Works thereof, that is intentionally submitted to Licensor for inclusion in the Work by the copyright owner or by an individual or Legal Entity authorized to submit on behalf of the copyright owner. For the purposes of this definition, &quot;submitted&quot; means any form of electronic, verbal, or written communication sent to the Licensor or its representatives, including but not limited to communication on electronic mailing lists, source code control systems, and issue tracking systems that are managed by, or on behalf of, the Licensor for the purpose of discussing and improving the Work, but excluding communication that is conspicuously marked or otherwise designated in writing by the copyright owner as &quot;Not a Contribution.&quot; &quot;Contributor&quot; shall mean Licensor and any individual or Legal Entity on behalf of whom a Contribution has been received by Licensor and subsequently incorporated within the Work. Grant of Copyright License. Subject to the terms and conditions of this License, each Contributor hereby grants to You a perpetual, worldwide, non-exclusive, no-charge, royalty-free, irrevocable copyright license to reproduce, prepare Derivative Works of, publicly display, publicly perform, sublicense, and distribute the Work and such Derivative Works in Source or Object form. Grant of Patent License. Subject to the terms and conditions of this License, each Contributor hereby grants to You a perpetual, worldwide, non-exclusive, no-charge, royalty-free, irrevocable (except as stated in this section) patent license to make, have made, use, offer to sell, sell, import, and otherwise transfer the Work, where such license applies only to those patent claims licensable by such Contributor that are necessarily infringed by their Contribution(s) alone or by combination of their Contribution(s) with the Work to which such Contribution(s) was submitted. If You institute patent litigation against any entity (including a cross-claim or counterclaim in a lawsuit) alleging that the Work or a Contribution incorporated within the Work constitutes direct or contributory patent infringement, then any patent licenses granted to You under this License for that Work shall terminate as of the date such litigation is filed. Redistribution. You may reproduce and distribute copies of the Work or Derivative Works thereof in any medium, with or without modifications, and in Source or Object form, provided that You meet the following conditions:(a) You must give any other recipients of the Work or Derivative Works a copy of this License; and (b) You must cause any modified files to carry prominent notices stating that You changed the files; and (c) You must retain, in the Source form of any Derivative Works that You distribute, all copyright, patent, trademark, and attribution notices from the Source form of the Work, excluding those notices that do not pertain to any part of the Derivative Works; and (d) If the Work includes a &quot;NOTICE&quot; text file as part of its distribution, then any Derivative Works that You distribute must include a readable copy of the attribution notices contained within such NOTICE file, excluding those notices that do not pertain to any part of the Derivative Works, in at least one of the following places: within a NOTICE text file distributed as part of the Derivative Works; within the Source form or documentation, if provided along with the Derivative Works; or, within a display generated by the Derivative Works, if and wherever such third-party notices normally appear. The contents of the NOTICE file are for informational purposes only and do not modify the License. You may add Your own attribution notices within Derivative Works that You distribute, alongside or as an addendum to the NOTICE text from the Work, provided that such additional attribution notices cannot be construed as modifying the License. You may add Your own copyright statement to Your modifications and may provide additional or different license terms and conditions for use, reproduction, or distribution of Your modifications, or for any such Derivative Works as a whole, provided Your use, reproduction, and distribution of the Work otherwise complies with the conditions stated in this License. Submission of Contributions. Unless You explicitly state otherwise, any Contribution intentionally submitted for inclusion in the Work by You to the Licensor shall be under the terms and conditions of this License, without any additional terms or conditions. Notwithstanding the above, nothing herein shall supersede or modify the terms of any separate license agreement you may have executed with Licensor regarding such Contributions. Trademarks. This License does not grant permission to use the trade names, trademarks, service marks, or product names of the Licensor, except as required for reasonable and customary use in describing the origin of the Work and reproducing the content of the NOTICE file. Disclaimer of Warranty. Unless required by applicable law or agreed to in writing, Licensor provides the Work (and each Contributor provides its Contributions) on an &quot;AS IS&quot; BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied, including, without limitation, any warranties or conditions of TITLE, NON-INFRINGEMENT, MERCHANTABILITY, or FITNESS FOR A PARTICULAR PURPOSE. You are solely responsible for determining the appropriateness of using or redistributing the Work and assume any risks associated with Your exercise of permissions under this License. Limitation of Liability. In no event and under no legal theory, whether in tort (including negligence), contract, or otherwise, unless required by applicable law (such as deliberate and grossly negligent acts) or agreed to in writing, shall any Contributor be liable to You for damages, including any direct, indirect, special, incidental, or consequential damages of any character arising as a result of this License or out of the use or inability to use the Work (including but not limited to damages for loss of goodwill, work stoppage, computer failure or malfunction, or any and all other commercial damages or losses), even if such Contributor has been advised of the possibility of such damages. Accepting Warranty or Additional Liability. While redistributing the Work or Derivative Works thereof, You may choose to offer, and charge a fee for, acceptance of support, warranty, indemnity, or other liability obligations and/or rights consistent with this License. However, in accepting such obligations, You may act only on Your own behalf and on Your sole responsibility, not on behalf of any other Contributor, and only if You agree to indemnify, defend, and hold each Contributor harmless for any liability incurred by, or claims asserted against, such Contributor by reason of your accepting any such warranty or additional liability.END OF TERMS AND CONDITIONS","ref":"license.html","title":"LICENSE","type":"extras"}]